
Foreman - Bug #8401

n+1 query on group parameters host edit

11/13/2014 11:24 PM - Daniel Lobato Garcia

Status: Closed   

Priority: Normal   

Assignee: Daniel Lobato Garcia   

Category: Database   

Target version: 1.7.1   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request: https://github.com/theforeman/foreman/p

ull/1935

  

Description

Hostgroup tries to eager load the group parameters but there's an error in the code that renders the eager loading useless. That

should be fixed to improve loading speed of host group parameters

Associated revisions

Revision 4cdc0455 - 12/05/2014 08:49 AM - Daniel Lobato Garcia

Fixes #8401: n+1 query on group parameters host edit

Hostgroup tries to eager load the group parameters but there's an error

in the code that renders the eager loading useless.

Revision a51c1de6 - 12/15/2014 10:00 AM - Daniel Lobato Garcia

Fixes #8401: n+1 query on group parameters host edit

Hostgroup tries to eager load the group parameters but there's an error

in the code that renders the eager loading useless.

(cherry picked from commit 4cdc0455cc84711b0484fa519bb89a753ff88072)

History

#1 - 11/13/2014 11:25 PM - The Foreman Bot

- Status changed from New to Ready For Testing

- Pull request https://github.com/theforeman/foreman/pull/1935 added

- Pull request deleted ()

#2 - 12/05/2014 08:51 AM - Dominic Cleal

- translation missing: en.field_release set to 29

#3 - 12/05/2014 09:01 AM - Daniel Lobato Garcia

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 4cdc0455cc84711b0484fa519bb89a753ff88072.

Powered by TCPDF (www.tcpdf.org)

05/18/2024 1/1

https://projects.theforeman.org/projects/foreman/repository/foreman/revisions/4cdc0455cc84711b0484fa519bb89a753ff88072
http://www.tcpdf.org

